GNU bug report logs - #68974
[PATCH 2/4] guix-days-2024: Update notes and reorganise.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Steve George <steve@HIDDEN>; Keywords: patch; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 68974-done <at> debbugs.gnu.org:


Received: (at 68974-done) by debbugs.gnu.org; 23 Feb 2024 20:20:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 23 15:20:22 2024
Received: from localhost ([127.0.0.1]:39688 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rdc1u-0003yO-Bx
	for submit <at> debbugs.gnu.org; Fri, 23 Feb 2024 15:20:22 -0500
Received: from eggs.gnu.org ([209.51.188.92]:54086)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>)
 id 1rdc1m-0003wf-BM; Fri, 23 Feb 2024 15:20:14 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1rdbe5-0000eV-Ia; Fri, 23 Feb 2024 14:55:47 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:References:In-Reply-To:Subject:To:
 From; bh=rnigKINY9L2PucVzqDC4pzKH81wlhMq53KgY1RT6g9A=; b=Vk+/8UuWwk0ivLcOncsW
 Dlj5J10VMvyD80hLRPK+na/uWQjbuCbfQmWU628iXC1kuyu3kLkN2OPdinpIOcK1ERwPFp/fkCj0J
 moo8L+pLcwPkbtK/CglHDLOTBFWdtuLJLeHNycdXekfjdF4Wb6NgvYU/8mLuqQB+nECzAdNTcY4uk
 YOlTZ16ZfZ1qPNWfvEcusMuaIh3snNKx3z3qtmnaQveL1VcjBLyEHZh+bhkvlyB9RonJF3/Q8mqGt
 F56J1QlqD7sYl/wM4VJRZltYh11bwH9EYH/00dEEvKAgK5PN460rukTq85a+ujaaZPbT7+45uX5Ib
 bgzxonqr4dZ/YQ==;
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Steve George <steve@HIDDEN>
Subject: Re: [bug#68974] [PATCH 2/4] guix-days-2024: Update notes and
 reorganise.
In-Reply-To: <4a836d4bdfeff9f5ff50a0eda267c87ea5ecae7d.1707321700.git.steve@HIDDEN>
 (Steve George's message of "Wed, 7 Feb 2024 16:01:54 +0000")
References: <8848460cf7f33e3a84787e25cce70c4acfd7f852.1707321700.git.steve@HIDDEN>
 <4a836d4bdfeff9f5ff50a0eda267c87ea5ecae7d.1707321700.git.steve@HIDDEN>
Date: Fri, 23 Feb 2024 20:54:48 +0100
Message-ID: <87il2fdkhj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 68974-done
Cc: 68876 <at> debbugs.gnu.org, 68974-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Steve George <steve@HIDDEN> skribis:

> * plenary.org: Integrate additional notes & reorganise.

Applied, thank you, and apologies for not noticing earlier!

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#68974; Package guix-patches. Full text available.

Message received at 68974-done <at> debbugs.gnu.org:


Received: (at 68974-done) by debbugs.gnu.org; 23 Feb 2024 20:20:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 23 15:20:22 2024
Received: from localhost ([127.0.0.1]:39683 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rdc1t-0003y7-Fk
	for submit <at> debbugs.gnu.org; Fri, 23 Feb 2024 15:20:21 -0500
Received: from eggs.gnu.org ([209.51.188.92]:54086)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>)
 id 1rdc1l-0003wf-6H; Fri, 23 Feb 2024 15:20:14 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1rdbfA-0000o8-Cx; Fri, 23 Feb 2024 14:56:55 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:References:In-Reply-To:Subject:To:
 From; bh=rnigKINY9L2PucVzqDC4pzKH81wlhMq53KgY1RT6g9A=; b=Hs5hsbeoXJFe90oHrBM6
 bg1357Avtrh39DcNjFq5so0qDymRWRU1+CpQYGmg1Vf5t95qhvj3tmDAN6nRwGxAQwxhoHQyJ4g18
 l0lT9apxIEivKXZtmHge6BaYSRu8NMdchDhMR1tJZT9NRZqu9mMxJBkDpTP0rJ0Dcm88EyPQS9V4U
 T0HNeTFpLmiqdtF4rT8qSfRQfCeS06eBuQp2fFfHf4hxlss6QAVNkxSYQAod2SY6IPI5/b/7k2DK8
 q4EnXKDcCbs68kXSSV/2YT9u4uDvoypQGcyCkdkf/O1H0bXYJT/T/kQJn5oaEWdnamwtYGiSvWa3h
 KI1YImzJlo0LpQ==;
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Steve George <steve@HIDDEN>
Subject: Re: [bug#68974] [PATCH 2/4] guix-days-2024: Update notes and
 reorganise.
In-Reply-To: <4a836d4bdfeff9f5ff50a0eda267c87ea5ecae7d.1707321700.git.steve@HIDDEN>
 (Steve George's message of "Wed, 7 Feb 2024 16:01:54 +0000")
References: <8848460cf7f33e3a84787e25cce70c4acfd7f852.1707321700.git.steve@HIDDEN>
 <4a836d4bdfeff9f5ff50a0eda267c87ea5ecae7d.1707321700.git.steve@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
Date: Fri, 23 Feb 2024 20:55:55 +0100
Message-ID: <87frxjdkfo.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 68974-done
Cc: 68876 <at> debbugs.gnu.org, 68974-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Steve George <steve@HIDDEN> skribis:

> * plenary.org: Integrate additional notes & reorganise.

Applied, thank you, and apologies for not noticing earlier!

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#68974; Package guix-patches. Full text available.
bug closed, send any further explanations to 68974 <at> debbugs.gnu.org and Steve George <steve@HIDDEN> Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Feb 2024 16:03:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 07 11:03:55 2024
Received: from localhost ([127.0.0.1]:57702 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rXkOw-0001mw-PH
	for submit <at> debbugs.gnu.org; Wed, 07 Feb 2024 11:03:55 -0500
Received: from lists.gnu.org ([2001:470:142::17]:58912)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <steve@HIDDEN>) id 1rXkOs-0001lo-OR
 for submit <at> debbugs.gnu.org; Wed, 07 Feb 2024 11:03:51 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <steve@HIDDEN>)
 id 1rXkOZ-0001FP-Kv
 for guix-patches@HIDDEN; Wed, 07 Feb 2024 11:03:31 -0500
Received: from mailtransmit04.runbox.com ([2a0c:5a00:149::25])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <steve@HIDDEN>)
 id 1rXkOY-0007pp-3L
 for guix-patches@HIDDEN; Wed, 07 Feb 2024 11:03:31 -0500
Received: from mailtransmit03.runbox ([10.9.9.163] helo=aibo.runbox.com)
 by mailtransmit04.runbox.com with esmtps (TLS1.2) tls
 TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256 (Exim 4.93)
 (envelope-from <steve@HIDDEN>) id 1rXkOV-00HDeI-Ib
 for guix-patches@HIDDEN; Wed, 07 Feb 2024 17:03:27 +0100
Received: from [10.9.9.72] (helo=submission01.runbox)
 by mailtransmit03.runbox with esmtp (Exim 4.86_2)
 (envelope-from <steve@HIDDEN>)
 id 1rXkOU-0001pI-UH; Wed, 07 Feb 2024 17:03:27 +0100
Received: by submission01.runbox with esmtpsa [Authenticated ID (641962)]
 (TLS1.2:ECDHE_SECP256R1__RSA_SHA256__AES_256_GCM:256) (Exim 4.93)
 id 1rXkOA-004msP-JM; Wed, 07 Feb 2024 17:03:06 +0100
From: Steve George <steve@HIDDEN>
To: 68876 <at> debbugs.gnu.org
Subject: [PATCH 2/4] guix-days-2024: Update notes and reorganise.
Date: Wed,  7 Feb 2024 16:01:54 +0000
Message-ID: <4a836d4bdfeff9f5ff50a0eda267c87ea5ecae7d.1707321700.git.steve@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <8848460cf7f33e3a84787e25cce70c4acfd7f852.1707321700.git.steve@HIDDEN>
References: <8848460cf7f33e3a84787e25cce70c4acfd7f852.1707321700.git.steve@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Received-SPF: permerror client-ip=2a0c:5a00:149::25;
 envelope-from=steve@HIDDEN; helo=mailtransmit04.runbox.com
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_LOW=-0.7,
 SPF_HELO_NONE=0.001, T_SCC_BODY_TEXT_LINE=-0.01,
 T_SPF_PERMERROR=0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: submit
Cc: guix-patches@HIDDEN, Steve George <steve@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* plenary.org: Integrate additional notes & reorganise.
---
 doc/guix-days-2024/0_plenary.md | 93 +++++++++++++++++++++++++++++++++
 1 file changed, 93 insertions(+)
 create mode 100644 doc/guix-days-2024/0_plenary.md

diff --git a/doc/guix-days-2024/0_plenary.md b/doc/guix-days-2024/0_plenary.md
new file mode 100644
index 0000000..3edb580
--- /dev/null
+++ b/doc/guix-days-2024/0_plenary.md
@@ -0,0 +1,93 @@
+# Notes from the Guix Days plenary session
+
+- Date: Thursday, Feb. 1st, 2024 and Friday, Feb. 2nd, 2024
+- Attendees: 33 people at the events opening, including new users and Nix people
+
+## Main Track
+
+- Introduction to Goblins by Christine from Spritely Institute
+- Status of Guix by Efraim
+- Guix QA update by Chris
+
+Sessions:
+
+- [Goblins and Hoot](goblins-hoot-guix.md) (Christine)
+- [Infrastructure](infrastructure.md) (Alexis)
+- Documentation (Julien)
+- Guix Home  (Gabor)
+- [Alternative Architectures](architecture-support.org) (Efraim)
+- Bootstrapping (Janneke)
+- Release (Julien)
+
+
+### Day 2
+
+Sessions:
+
+- Funding (Christine)
+- [Governance/Maintainers](governance.org) (Efraim + Chris)
+- [Patch flow](patch-flow.md) (Steve)
+- [Guix CLI improvements](cli.md) (Jonathan)
+- Profiling (Adriel)
+- Hurd (Janneke)
+- L10N (Julien)
+- [Hoot](goblins-hoot-guix.md) (Christine)
+- Newbie room (Gabor)
+- Onboarding (Gabor)
+
+
+### Ideas that didn’t make it to sessions
+
+- Shepherd
+- HPC
+
+
+## Status update (Efraim)
+
+  - last release 1 year old
+  - installer
+    - working okay
+    - does not cater to the needs of power users (e.g., btrfs on encrypted)
+    - problems when choosing EXWM
+    - allow choosing the Hurd?
+  - substitute availability is good for x86_64
+    - currently 98% or so
+    - qa.guix gives a summary
+    - 32-bit support is in a poor state
+    - idea: estimate i686 substitute usage using server logs?
+    - is ARMv7 (32-bit, armhf-linux) used at all?
+  - onboarding
+    - "not a lot of projects are doing email patches"
+    - people maintain their own stack of patches they don't submit
+    - "we need to do something on our side"
+  - teams
+    - "nice but not perfect", "mostly working"
+    - what about patches with no associated teams?
+    - Rust team is just Efraim
+  - sysadmin
+    - small bus factor
+    - Chris in charge qa.guix, data.guix, etc.
+    - berlin was building slowly early January: needed to vacuum the
+      posgresql database
+  - we're moving faster
+    - #5 on Repology
+    - we should talk more about package availability
+  - time traps
+    - "virtual build machine" service to address that
+    - could be used for 2038 bug testing
+    - RISC-V builds broke with some kernel update
+  - SWH
+
+## Guix Quality assurance update (Chris Baines)
+
+  - architecture diagram
+  - entry points: https://qa.guix.gnu.org/patches,
+    https://qa.guix.gnu.org/reproducible-builds
+  - question about “slowness” of builds
+    - could use a different prioritirization method
+    - could add more hardware
+    - https://bordeaux.guix.gnu.org/activity -> it’s busy :-)
+
+## Actions
+
+- TBD
-- 
2.41.0





Acknowledgement sent to Steve George <steve@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#68974; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 23 Feb 2024 20:30:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.